Subject: Re: Current egcs, binutils and kernel (fwd)

From: David Edelsohn <[email-masked]>
Date: Tue, 20 Apr 1999 13:05:21 -0400

The original POWER architecture with the MQ register allowed a
short sequence to provide this 64-bit functionality.  The PowerPC
instruction set does not provide the necessary building blocks, so GCC
falls back to the C implementation in libgcc2.c producing the assembly
code shown in the later posting.

David

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]